Bug 124643 - system-config-network-cmd does not work as advertised
system-config-network-cmd does not work as advertised
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: rcn-profiling
  Show dependency treegraph
 
Reported: 2004-05-27 23:52 EDT by Michal Jaegermann
Modified: 2008-04-29 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 18:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-05-27 23:52:12 EDT
Description of problem:

file:///usr/share/system-config-network//help/network-profiles.html
states the following:

Alternatively, execute the following command to enable a profile
(replace <profilename> with the name of the profile):

system-config-network-cmd --profile <profilename> --activate


I have two profiles
1) "default" which uses a ...networking/devices/ifcfg-eth0
   file set up to configured by DHCP
2) "chevaleret" with ...networking/devices/ifcfg-eth0Chev
   set up for a fixed IP address.

After

# system-config-network-cmd --profile chevaleret --activate

I see

Network device deactivating...
Deactivating network device eth0Chev, please wait...
usage: ifdown <device name>
usage: ifdown <device name>

Repeating the command above does makes it silent but
/etc/sysconfig/network-scripts/ifcfg-eth0
does not change and a network address remains the same

The same happens when running trying to reverse an activation
with 

system-config-network-cmd --profile default --activate

After trying the above the only visible effect was that

/etc/sysconfig/networking/profiles/chevaleret/resolv.conf

was overwritten by

/etc/sysconfig/networking/profiles/default/resolv.conf

which is quite different.  Big bummer!


system-config-network-1.3.16-1
Comment 1 Peter Fales 2004-06-07 11:49:09 EDT
I'm seeing the same thing when the "nickname" for the device does 
not match the device name.  It works when I make sure that the nickame
is "eth0" or "eth1"
Comment 2 Andrew Macpherson 2004-10-07 19:40:27 EDT
I believe this is related: s-c-n 1.3.17-0.FC2.1

I (would like to) have 5 profiles for different wireless environments,
each with a different ifcfg-eth1 containing various 

ESSID=
KEY=
MODE=

lines.  After executing system-config-network -p <profilename> I find
that all my instances of 

/etc/sysconfig/networking/profiles/*/ifcfg-eth1
/etc/sysconfig/networking/devices/ifcfg-eth1
/etc/sysconfig/network-scripts/ifcfg-eth1

have been hard-linked as a single instance which is scarcely helpful
Comment 3 Andrew Macpherson 2004-10-08 04:37:26 EDT
Cancel that comment --- that's what comes from working in text mode
and not fully understanding how the tool is trying to work.
Comment 4 Michal Jaegermann 2004-10-08 12:18:21 EDT
I think that one one of problems is that is really hard to even
start to understand, not talking about "fully", how this is supposed
to work beyond very basic "one interface - one connection".
I have to meet yet a person who would be not baffled by this tool.
Comment 5 Matthew Miller 2005-04-26 11:04:38 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Michal Jaegermann 2005-04-26 11:20:38 EDT
I do not think that this was ever really changed either in FC3 or in FC4test.
A "solution" to the problem seems to be not to have ever "active" devices
in a Common profile in a case when multiple profiles are in use.  These other
profiles are the only one with active devices.  I did not try various possible
ways of using system-config-network but _this_ seem to work.

How this can be derived from a documentation and/or interfaces instead of
a trial-and-error is still unclear to me.
Comment 7 Peter Fales 2005-06-03 15:40:48 EDT
Is there any documentation on this?  Or any working examples?   I decided to
take  another look at this today, and it's driving me absolutely crazy.  If I
use names  like eth0 (resulting in names like
/etc/sysconfig/network-scripts/ifcfg-eth0) the different profiles get confused.
  If I use names like eth0_home, then I get 
errors from /sbin/dhclient-script which only looks for ifcfg-$DEVICE, i.e. 
ifcfg-eth0.  This is on a fully updated FC3 system.
Comment 8 Michal Jaegermann 2005-06-03 16:10:02 EDT
AFAICT this basically works with multiple profiles provided _none_ of
interface definitions is selected in "Common" which serves only as a container
to hold all "devices" (to me a quite misleading terminology).  Now if you
will create various profiles in which want to use, assign what you want
to belong to each of these and do some other necessary modifications like
name servers and /etc/hosts tables, then you can switch between profiles
with expectations that results will make some sense.  Selecting something
in "Common", when other profiles are present, seems to be a recipe for
an instant disaster.  Maybe if you have some interface which indeed is
common across all your possible profiles then it can be selected there.

If this is how it is _supposed_ to be I have no idea but feel free to study
a content of files in /usr/share/system-config-network/help/.  Currently they
are owned by 'system-config-network-tui'.
Comment 9 Matthew Miller 2006-07-10 16:13:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 Matthew Miller 2006-07-12 09:05:59 EDT
harald moved this to devel. thanks!
Comment 11 Bug Zapper 2008-04-03 11:35:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Michal Jaegermann 2008-04-03 12:54:38 EDT
I have to find yet somebody for whom setting up networking with
multiple profiles would be "obvious".  If, on the top of it, one
would like to have one of these profiles controlled by NetworkManager
and other static then we are moving into "Mission Impossible"
teritory.

After so long time I am not going to loose my sleep over those issues.
Comment 13 John Poelstra 2008-04-04 21:43:00 EDT
Re: comment #12 does this mean you are fine closing this bug?
Comment 14 Michal Jaegermann 2008-04-05 01:17:29 EDT
Re: comment #13.  I guess so.  It does not appear that there is
much point in keeping it open but maybe there are dissenting
opinions?
Comment 15 John Poelstra 2008-04-29 18:27:33 EDT
thanks for your update

Note You need to log in before you can comment on or make changes to this bug.